Bug 733687 - SELinux is preventing /lib/udev/iphone-set-info from 'read' accesses on the file RootPrivateKey.pem.
Summary: SELinux is preventing /lib/udev/iphone-set-info from 'read' accesses on the f...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2e15421670e8893048b8c6ee994...
: 733700 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 13:55 UTC by dario
Modified: 2012-03-15 13:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-15 13:35:18 UTC


Attachments (Terms of Use)

Description dario 2011-08-26 13:55:39 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.0.0-1.fc16.x86_64
reason:         SELinux is preventing /lib/udev/iphone-set-info from 'read' accesses on the file RootPrivateKey.pem.
time:           Fri Aug 26 09:25:24 2011

description:
:SELinux is preventing /lib/udev/iphone-set-info from 'read' accesses on the file RootPrivateKey.pem.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that iphone-set-info should be allowed read access on the RootPrivateKey.pem file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep iphone-set-info /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:udev_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:gconf_home_t:s0
:Target Objects                RootPrivateKey.pem [ file ]
:Source                        iphone-set-info
:Source Path                   /lib/udev/iphone-set-info
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           libgpod-0.8.2-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-15.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.0.0-1.fc16.x86_64 #1 SMP Fri
:                              Jul 22 16:09:29 UTC 2011 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fri 26 Aug 2011 09:24:43 AM VET
:Last Seen                     Fri 26 Aug 2011 09:24:43 AM VET
:Local ID                      205fa5c9-9344-4249-ac5e-a7f5b83ec6be
:
:Raw Audit Messages
:type=AVC msg=audit(1314366883.419:97): avc:  denied  { read } for  pid=7063 comm="iphone-set-info" name="RootPrivateKey.pem" dev=sda8 ino=157169 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gconf_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1314366883.419:97): arch=x86_64 syscall=open success=yes exit=EIO a0=d456e0 a1=0 a2=6d6570 a3=522f656369766564 items=0 ppid=1 pid=7063 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=iphone-set-info exe=/lib/udev/iphone-set-info subj=system_u:system_r:udev_t:s0-s0:c0.c1023 key=(null)
:
:Hash: iphone-set-info,udev_t,gconf_home_t,file,read
:
:audit2allow
:
:#============= udev_t ==============
:allow udev_t gconf_home_t:file read;
:
:audit2allow -R
:
:#============= udev_t ==============
:allow udev_t gconf_home_t:file read;
:

Comment 1 Daniel Walsh 2011-08-26 17:59:36 UTC
*** Bug 733700 has been marked as a duplicate of this bug. ***

Comment 2 Daniel Walsh 2011-11-23 14:44:34 UTC
Are you still seeing this?   Not sure that we should be allowing iphone-set-info to read private key?


Note You need to log in before you can comment on or make changes to this bug.